<%@ page language="java" import="java.util.regex.Pattern,java.util.*,com.letousky.lottery.action.MemberCenter,com.letousky.exception.LotteryException" pageEncoding="UTF-8"%>
<%
	
	String[] params = new String[5];
	params[0]=request.getParameter("gameCode");
	params[1]=request.getParameter("starNikeName");
	params[2]=request.getParameter("canyuNikeName");
	
	boolean b = Pattern.matches("[\\u4E00-\\u9FA5]+", params[2]);
	boolean b1 = Pattern.matches("[\\u4E00-\\u9FA5]+", params[1]);
    if(!b){
	     params[2]=new String(params[2].getBytes("ISO-8859-1"), "utf-8");//解决乱码用的
    }
    if(!b1){
   	   params[1]=new String(params[1].getBytes("ISO-8859-1"), "utf-8");//解决乱码用的
    }
	
	try{
		String[] str=new MemberCenter().taryCancelSingle(params);
		
		out.print("{\"result\":\"success\"}");
		
	}catch(LotteryException e){
	
		out.print("{\"result\":\""+e.getMessage()+"\"}");
	}
%>